*     Randall R. Correll
*     Mijan F. Huq
*     Scott A. Klasky
*     Richard A. Matzner
*
*     COPYRIGHT 1995-1996
c-----------------------------------------------------------------------
      subroutine write_ascii(nx,ny,nz,name,x,y,z,u)
      implicit none
      integer nx,ny,nz
      character*16 name
      real*8 x(nx),y(ny),z(nz)
      real*8 u(nx,ny,nz)

      integer shape(3)
      integer indlnb, i, j, k

      write(0,*)'********ASCII dump********'
      write(0,*)nx, ny, nz
      write(0,*)name
      shape(1) = nx
      shape(2) = ny
      shape(3) = nz

      open(file=name, unit=19)

      write(19,*)u
 
      close(unit=19)

      write(0,*)'********ASCII dump done********'

      return
      end
c-----------------------------------------------------------------------
      subroutine read_ascii(nx,ny,nz,name,u)
        implicit none

        integer nx,ny,nz

        character*16 name
        real*8 u(nx,ny,nz)

        integer indlnb, i, j, k

        write(0,*)'********ASCII read********'
        write(0,*)nx, ny, nz
        write(0,*)name

        open(file=name, unit=19)

          read(19,*)u
 
        close(unit=19)

        write(0,*)'********ASCII read done********'

        return
      end
c-----------------------------------------------------------------------

